<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="viewmodel"
            type="net.ayokemasjid.adminapp.ui.user.UserViewModel"/>
    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:id="@+id/root_layout"
        tools:context="net.ayokemasjid.adminapp.ui.user.AddUserActivity">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:elevation="6dp"
                app:navigationIcon="@drawable/ic_arrow_back_black_24dp"
                app:title="Edit User"
                app:titleTextColor="#2F3542"/>

            <androidx.core.widget.NestedScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Nama Awal"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etNamaAwal"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi nama awal"
                                android:inputType="textPersonName"
                                android:text="@={viewmodel.user.first_name}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Nama Akhir"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etNamaAkhir"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi nama akhir"
                                android:inputType="textPersonName"
                                android:text="@={viewmodel.user.last_name}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Username"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etUsername"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi username"
                                android:text="@={viewmodel.user.username}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Email"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etEmail"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi email"
                                android:inputType="textEmailAddress"
                                android:text="@={viewmodel.user.email}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Telepon"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etTelepon"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi nomor telepon"
                                android:inputType="phone"
                                android:text="@={viewmodel.user.phone}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Alamat"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etAlamat"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi alamat"
                                android:text="@={viewmodel.user.address}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Kota"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etKota"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi nama kota"
                                android:text="@={viewmodel.user.city}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Provinsi"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etProvinsi"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi nama provinsi"
                                android:text="@={viewmodel.user.province}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Negara"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etNegara"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi nama negara"
                                android:text="@={viewmodel.user.country}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Kode Pos"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etPostcode"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi kode pos"
                                android:inputType="textPersonName"
                                android:text="@={viewmodel.user.postcode}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <Button
                        android:id="@+id/buttonEditUser"
                        android:layout_marginStart="11dp"
                        android:layout_marginEnd="11dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="bottom"
                        android:layout_marginTop="20dp"
                        android:layout_marginBottom="22dp"
                        android:fontFamily="@font/roboto_bold"
                        android:text="Edit Informasi"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="18sp" />

                </LinearLayout>

            </androidx.core.widget.NestedScrollView>

        </LinearLayout>

        <ProgressBar
            android:id="@+id/progress_bar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal|center_vertical"
            android:visibility="invisible" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>